Subject: [dispatch] draft-hanes-dispatch-fax-capability-03

From: David Hanes <[email-masked]>
Date: Mon, 8 Oct 2012 10:45:53 -0400

The latest version (03) has been uploaded. The main changes are:

- Rewrite of the descriptions for t38 and passthrough in Section 6.
- Moving of the T.38 reference from informative to normative
- Additional references added for T.30, T.4, and V152
- Additional reference citations throughout the body of the draft

Please review and let me know if any additional edits are needed.

-David

On Oct 1, 2012, at 3:59 PM, Dale R. Worley wrote:

>> From: David Hanes <[email-masked]>
>> 
>> How about the following descriptions for T.38 and passthrough in the
>> IANA Considerations section?
>> 
>> t38:	The device supports the image/t38 media type [RFC 3326] and
>> implements ITU-T T.38 for transporting the ITU-T T.30 and T.4 fax
>> data over IP. 
>> 
>> passthrough: The device supports the audio/pcmu and audio/pcma media
>> types [RFC4856] for transporting ITU-T T.30 and T.4 fax data using
>> the ITU-T G.711 codec. Additional implementation recommendations are
>> in ITU-T V.152 Sections 6 and 6.1.
> 
> Those sound good to me.  Of course, these specifications are the
> minimum requirements.  (Which means that supporting T.30 is
> *mandatory*.)  Thus (in regard to Bruno's item) the device may support
> G.726 (or any other codec for passthrough), but is not required to do
> so.
> 
> I am assuming that each layer of the protocol stack (audio/*, G.*,
> T.*) has a proper set of negotiation/fallback mechanisms, but I expect
> that the designers have verified that.
> 
> Dale